﻿@{
    ViewBag.NomePagina = "Pessoa Indicação";
}

@Html.Partial("~/Views/Paginas/CadastroPessoaIndicacao/Partials/_IndexStyle.cshtml")

<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Cadastro  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Pessoa Indicação
    </span>
</div>

<div id="dvAtvDsvContent" class="custom-drop" style="display: none;">
    <button class="btn btn-outline-dark custom-drop-item" id="btnAtivar">
        <i class="fa fa-check">&nbsp;</i> Ativar
    </button>
    <button class="btn btn-outline-dark custom-drop-item" id="btnDesativar">
        <i class="fa fa-times">&nbsp;</i> Desativar
    </button>
</div>

<div id="divPesquisa">
    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons">more_vert</i>
        <i class="material-icons icon-clear">close</i>
        <input id="txtCodFncFil" type="text" class="ctrl-filtro numerico" maximo="10" placeholder="Pesquisar Cod. Martins..." />
        <i class="material-icons">more_vert</i>
        <i class="material-icons icon-clear">close</i>
        <input id="txtNumCpfFil" type="text" class="ctrl-filtro cpf" maximo="11" placeholder="Pesquisar Cpf..." />
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2PessoasIndicacoes.cshtml", new Select2PessoasIndicacoesViewModel() { idControleSelect2 = "selPes", idControleInput = "TxtPes", tipoPesquisa = true })
        <i class="material-icons">more_vert</i>
        <select id="ddlStatus" class="form-control">
            <option value="0" selected="selected">Selecione um status...</option>
            <option value="1">ATIVO</option>
            <option value="2">DESATIVO</option>
        </select>
        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela">
            Pesquisar
        </button>
    </div>

    <div class="dataTables_consulta">
        <div id="grdCadastroPessoaIndicacaoContainer"></div>
    </div>
</div>


<!-- Cadastro -->
<div id="divCadastro" style="display: none;">
    <form action="#" id="frmCadastro" novalidate="novalidate">
        <div class="tgv-cabecalho-container">
            <div class="col-md-6 titulo-tela">
                <strong class="strong-cabecalho-tgv">Cadastro Pessoa Indicação</strong>
            </div>
            <div class="col-md-6 tgv-crud-log-text divShowHide">
                <strong class="strong-cabecalho-codigo-tgv">Código:</strong> <span><input type="text" id="txtNumSeqPesInd" class="input-span-title" value="" /></span>
                <span class="tgv-mer-log">
                    <i class="fa fa-file-text-o" aria-hidden="true" id="btnLogInfo"></i>
                </span>
                <div class="tgv-mer-log-container" id="logInfoContainer">
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title-border">Registro</strong>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Cadastro:</strong> <span><input type="text" id="txtDatFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Alteração:</strong> <span><input type="text" id="txtDatFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Desativação:</strong> <span><input type="text" id="txtDatFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tgv-crud-container tgv-mat-closer">
            <div class="row">
                <div class="col-md-2 tipo-ind">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Tipo Indicador:</strong>
                        </label>
                        <div class="tgv-select-material">
                            <select id="DdlTipFncRpn" name="DdlTipFncRpn" class="form-control limparTooltipChange">
                                <option value="M" selected>FUNCIONÁRIO MARTINS</option>
                                <option value="R">RCA AUTÔNOMO</option>
                                <option value="T">GERENTE TRIBANCO</option>
                                <option value="O">OUTRO</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div id="divFun" class="col-md-7" style="display: flex;">
                    @Html.Partial("~/Views/Partials/Select2FuncionariosCodigos.cshtml", new Select2FuncionariosViewModel() { idControleSelect2 = "selFnc", idControleInput = "txtFnc", clasColInput = "col-md-3", clasColSelect = "col-md-9", margintopInput = "margin-top: 0px", margintopSel = "margin-top: 5px" })
                </div>

                <div id="divRep" class="col-md-7" style="display: none;">
                    @Html.Partial("~/Views/Partials/Select2RepresentantesCodigos.cshtml", new Select2RepresentantesViewModel() { idControleSelect2 = "selRep", idControleInput = "txtRep", clasColInput = "col-md-3", clasColSelect = "col-md-9", margintopInput = "margin-top: 0px", margintopSel = "margin-top: 5px" })
                </div>

                <div id="divNom" class="col-md-7 nopadding" style="display: none;">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="input-text-1">
                                <strong class="strong-min-tgv">Matrícula:</strong>
                            </label>
                            <div class="mdl-textfield mdl-js-textfield">
                                <input class="mdl-textfield__input numerico limparTooltipKeyDown" id="txtMatricula" name="txtMatricula" type="text" maximo="8">
                                <label class="mdl-textfield__label" for="txtMatricula"></label>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-9">
                        <div class="form-group">
                            <label for="input-text-1">
                                <strong class="strong-min-tgv">Nome:</strong>
                            </label>
                            <div class="mdl-textfield mdl-js-textfield">
                                <input class="mdl-textfield__input limparTooltipKeyDown" id="txtNomPesCto" name="txtNomPesCto" type="text" maxlength="30">
                                <label class="mdl-textfield__label" for="txtNomPesCto"></label>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">CPF:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input cpf limparTooltipKeyDown" id="txtNumCpf" name="txtNumCpf" type="text">
                            <label class="mdl-textfield__label" for="txtNumCpf"></label>
                        </div>
                    </div>
                </div>

            </div>

            <div class="row">
                <div class="col-md-3">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Cargo:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input" id="txtDesCgr" name="txtDesCgr" type="text" maxlength="20">
                            <label class="mdl-textfield__label" for="txtDesCgr"></label>
                        </div>
                    </div>
                </div>

                <div class="col-md-5">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Empresa:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input" id="txtNomEmp" name="txtNomEmp" type="text" maxlength="30">
                            <label class="mdl-textfield__label" for="txtNomEmp"></label>
                        </div>
                    </div>
                </div>

                <div class="col-md-2">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Telefone 1:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input telefone limparTooltipKeyDown" id="txtNumTlf" name="txtNumTlf" type="text">
                            <label class="mdl-textfield__label" for="txtNumTlf"></label>
                        </div>
                    </div>
                </div>

                <div class="col-md-2">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Telefone 2:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input telefone limparTooltipKeyDown" id="txtNumTlfCel" name="txtNumTlfCel" type="text">
                            <label class="mdl-textfield__label" for="txtNumTlfCel"></label>
                        </div>
                    </div>
                </div>

                <div class="col-md-6 tipo-email">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">E-mail:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input limparTooltipKeyDown lowercase" id="txtDesEndEtn" name="txtDesEndEtn" type="text" maxlength="100">
                            <label class="mdl-textfield__label" for="txtDesEndEtn"></label>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row tgv-button-toolbar">
            <span>
                <button id="btnInserirCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-floppy-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnEditarCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-pencil-square-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnFecharCadastro" type="button" class="btn btn-danger">
                    <i class="fa fa-arrow-left">&nbsp;</i>
                    Voltar
                </button>
            </span>
        </div>

    </form>
</div>

@Html.Partial("~/Views/Paginas/CadastroPessoaIndicacao/Partials/_IndexScript.cshtml")
